%define name dmalloc
%define version 5.2.1
%define release 1mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Debugging MALLOC
License: distributable
URL: http://dmalloc.com/
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
Provides: lib%name = %version-%release

%description
The debug memory allocation or "dmalloc" library has been designed
as a drop in replacement for the system's `malloc', `realloc',
`calloc', `free' and other memory management routines while providing
powerful debugging facilities configurable at runtime.  These
facilities include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.

%package -n %name-devel
Summary: Debugging malloc devellopment files
Group: Development/Other
Requires: %name = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %name-devel
Devellopment files from the Debugging malloc library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
rm -f contrib/*.orig
chmod -R o+r *

%build

sh ./configure --prefix=$RPM_BUILD_ROOT%{_prefix}
make
# test this puppy
make heavy

%install
make install
make infodir=$RPM_BUILD_ROOT%{_infodir} installinfo

# install docs by hand
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/dmalloc-4.2.0
#install -m 644 {ChangeLog,INSTALL,NEWS,NOTES,README,TODO} $RPM_BUILD_ROOT/usr/doc/dmalloc-4.2.0

%post
/sbin/install-info /%{_prefix}/info/%{name}.info.*

%postun
/sbin/install-info --delete /%{_prefix}/info/%{name}.info.*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc INSTALL NEWS NOTES README TODO 
%{_bindir}/*
%{_infodir}/*

%files -n %name-devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Fri Sep 05 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.2.1-1mdk
- 5.2.1

* Sun Jul 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.2.0-1mdk
- 5.2.0
 
* Tue Feb 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.8.2-3mdk
- add good provides (All my excuses to Lenny, the best packager I know)

* Tue Jan 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.8.2-2mdk
- reintroduce in contrib (need by lineakconf)
- split in %%name and %%name-devel

* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.8.2-1mdk
- updated to 4.8.2

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.8.1-1mdk
- updated to 4.8.1

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-3mdk
- BM

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-2mdk
- fix group 
- fix files section
- bzip2 patches

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
